@echo off
echo Updating release files:
echo.

echo Creating database
del ..\tomo.db.dist 2>nul
sqlite3 ..\tomo.db.dist <..\src\setup.sqlite.sql

echo Compressing PHP code
"C:\xampp\php\php.exe" compress-php-code.php

echo Compressing JavaScript code
call closure-compiler.cmd --charset UTF-8 --js ..\src\tomo.js --js_output_file ..\tomo.js --jscomp_off uselessCode
call closure-compiler.cmd --charset UTF-8 --js ..\src\coati.js --js ..\src\viewer.js --js_output_file ..\viewer.js --jscomp_off uselessCode

echo Copying other files
copy ..\src\css.php .. >nul
copy ..\src\img\*-sprites.png ..\img >nul
copy publicsuffixdata.inc.php .. >nul

if "%1" == "/nowait" exit /b
echo Finished!
echo.
pause
